docs

# ShippingQuery

data class ShippingQuery ( val id: ShippingQueryIdentifier , val from: User , val invoicePayload: InvoicePayload , val shippingAddress: ShippingAddress ) : FromUser
Content copied to clipboard

## Constructors

ShippingQuery
Link copied to clipboard
fun ShippingQuery ( id: ShippingQueryIdentifier , from: User , invoicePayload: InvoicePayload , shippingAddress: ShippingAddress )
Content copied to clipboard

## Properties

from
Link copied to clipboard
open override val from : User
Content copied to clipboard

The source User of this type

id
Link copied to clipboard
val id : ShippingQueryIdentifier
Content copied to clipboard
invoicePayload
Link copied to clipboard
val invoicePayload : InvoicePayload
Content copied to clipboard
shippingAddress
Link copied to clipboard
val shippingAddress : ShippingAddress
Content copied to clipboard
user
Link copied to clipboard
open override val user : User
Content copied to clipboard

## Extensions

createAnswerError
Link copied to clipboard
fun ShippingQuery . createAnswerError (error: String ): AnswerShippingQueryError
Content copied to clipboard
createAnswerOk
Link copied to clipboard
fun ShippingQuery . createAnswerOk (shippingOptions: List < ShippingOption >): AnswerShippingQueryOk
Content copied to clipboard
invoice_payload
Link copied to clipboard
val ShippingQuery . invoice_payload : InvoicePayload
Content copied to clipboard
shipping_address
Link copied to clipboard
val ShippingQuery . shipping_address : ShippingAddress
Content copied to clipboard